go-unifi

List Connected Clients

Retrieve a paginated list of all connected clients on a site, including physical devices (computers, smartphones) and active VPN connections. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`type`|`STRING`|`eq` `ne` `in` `notIn`| |`macAddress`|`STRING`|`isNull` `isNotNull` `eq` `ne` `in` `notIn`| |`ipAddress`|`STRING`|`isNull` `isNotNull` `eq` `ne` `in` `notIn`| |`connectedAt`|`TIMESTAMP`|`isNull` `isNotNull` `eq` `ne` `gt` `ge` `lt` `le`| |`access.type`|`STRING`|`eq` `ne` `in` `notIn`| |`access.authorized`|`BOOLEAN`|`isNull` `isNotNull` `eq` `ne`| </details>

GET
/v1/sites/{siteId}/clients

Retrieve a paginated list of all connected clients on a site, including physical devices (computers, smartphones) and active VPN connections.

NameTypeAllowed functions
idUUIDeq ne in notIn
typeSTRINGeq ne in notIn
macAddressSTRINGisNull isNotNull eq ne in notIn
ipAddressSTRINGisNull isNotNull eq ne in notIn
connectedAtTIMESTAMPisNull isNotNull eq ne gt ge lt le
access.typeSTRINGeq ne in notIn
access.authorizedBOOLEANisNull isNotNull eq ne
X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

offset?integer
limit?integer
filter?string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients"
{  "offset": 0,  "limit": 25,  "count": 10,  "totalCount": 1000,  "data": [    {      "type": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "connectedAt": "2019-08-24T14:15:22Z",      "ipAddress": "string",      "access": {        "type": "DEFAULT"      }    }  ]}